CHAGE(1)

NAME
chage - Modifier les informations de validité d'un mot de passe

SYNOPSIS

chage [options] utilisateur

DESCRIPTION

Chage modifie le nombre de jours entre les changements de mot de passe et la date du dernier changement. Ces informations sont utilisées par le système pour déterminer si un utilisateur doit changer son mot de passe.

OPTIONS

Les options disponibles pour la commande chage sont :

-d, --lastday DERNIER_JOUR
    Fixe le numéro du jour depuis le 1er janvier 1970, où le mot de passe a été changé la dernière fois. La date peut aussi être exprimée dans le format AAAA-MM-JJ (ou le format utilisé plus communément dans votre région).

-E, --expiredate DATE_FIN_VALIDITÉ
    Fixe la date à partir de laquelle le compte de l'utilisateur ne sera plus accessible. La date est le numéro du jour depuis le 1er janvier 1970 après lequel le compte sera bloqué. La date peut aussi être exprimée dans un format AAAA-MM-JJ (ou le format plus communément utilisé dans votre région). Un utilisateur dont le compte est bloqué doit contacter l'administrateur système pour pouvoir utiliser le système à nouveau.

    Une valeur de -1 pour DATE_FIN_VALIDITÉ aurra pour effet de supprimer la date de fin de validité.

-h, --help
    Affiche un message d'aide et quitte.

-I, --inactive DURÉE_INACTIVITÉ
    Fixe le nombre de jours d'inactivité, après qu'un mot de passe ait dépassé la date de fin de validité, avant que le compte ne soit bloqué. La valeur DURÉE_INACTIVITÉ est le nombre de jours d'inactivité. Un utilisateur dont le compte est bloqué doit contacter l'administrateur système avant de pouvoir utiliser le système à nouveau.

    Une valeur de -1 pour DURÉE_INACTIVITÉ supprime la durée d'inactivité pour un compte.

-l, --list
    Affiche les informations sur les âges des comptes.

-m, --mindays JOURS_MIN
    Fixe le nombre minimum de jours entre chaque changement de mot de passe. Une valeur de zéro pour ce champ indique que l'utilisateur peut changer son mot de passe n'importe quand.

-M, --maxdays JOURS_MAX
    Fixe le nombre maximum de jours pendant lesquels un mot de passe est valable. Quand JOURS_MAX plus DERNIER_JOUR est inférieur à la date courante, l'utilisateur est obligé de changer son mot de passe avant de pouvoir utiliser son compte. Cet événement peut être déclenché plus tôt grâce à l'option -W qui prévient l'utilisateur à l'avance avec un message d'alerte.

    Une valeur de -1 pour JOURS_MAX supprime cette fonctionnalité.

-W, --warndays DURÉE_AVERTISSEMENT
    Fixe le nombre de jours d'avertissement avant que le changement de mot de passe ne soit obligatoire. La valeur DURÉE_AVERTISSEMENT est le nombre de jours précédant la fin de validité pendant lesquels un utilisateur sera prévenu que son mot de passe est sur le point d'arriver en fin de validité.

Si aucune de ces options n'est donnée, chage utilise un mode interactif, demandant confirmation à l'utilisateur pour les valeurs de tous les champs. Entrez la nouvelle valeur pour changer la valeur du champ, ou laissez la ligne vide pour conserver la valeur actuelle. La valeur actuelle est affichée entre crochets.

NOTE

Le programme chage nécessite l'utilisation d'un fichier de mots de passe cachés (« shadow password file »). Ces fonctionnalités ne sont pas disponibles quand les mots de passe sont enregistrés dans un fichier de mots de passe simple (« passwd file »).

La commande chage est réservée à l'utilisateur root, sauf pour l'option -l, qui peut être utilisée par un utilisateur non privilégié pour savoir quand son mot de passe ou son compte arrivera en fin de validité.

FICHIERS

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

VALEUR DE RETOUR

La commande chage retourne les valeurs suivantes en quittant :

0   succès

1   permission refusée

2   erreur de syntaxe

15  impossible de trouver le fichier des mots de passe cachés

VOIR AUSSI

passwd(5), shadow(5).